require('dotenv').config();
const request = require('supertest');
const app = require('../src/app.js');

// Here's how we can start a session to run the tests
const sessionAgent = request.agent(app);

console.log("NODE_ENV: ", process.env.NODE_ENV);

describe('GET /', () => {
  it('responds with JSON', async () => {
    //const response = await request(app).get('/');  // this would run the test with a new session?????
    const response = await sessionAgent.get("/");
    expect(response.status).toBe(200);
    expect(response.body).toHaveProperty('message', 'Hello, world!');
  });
});